Skip to main content
GET
/
v1
/
proofs
List Proofs
curl --request GET \
  --url https://api.axiom.xyz/v1/proofs \
  --header 'Axiom-API-Key: <api-key>'
import requests

url = "https://api.axiom.xyz/v1/proofs"

headers = {"Axiom-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Axiom-API-Key': '<api-key>'}};

fetch('https://api.axiom.xyz/v1/proofs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "program_uuid": "<string>",
      "launched_at": "2023-11-07T05:31:56Z",
      "terminated_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "cells_used": 123,
      "cost": 123,
      "machine_type": "<string>",
      "error_message": "",
      "proof_size": 123,
      "num_instructions": 123
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "pages": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Axiom-API-Key
string
header
required

Query Parameters

program_id
string
required
page
integer
default:1
page_size
integer
default:20

Response

Proofs retrieved successfully

items
FeProofResponse · object[]
required
pagination
PaginationInfo · object
required

Pagination metadata.